%define module eventlet
Name:           python-%module
Version:        0.13.0
Release:        %mkrel 3
Summary:        Highly concurrent networking library
License:        MIT
Group:          Development/Python
URL:            http://eventlet.net
Source0:        http://pypi.python.org/packages/source/e/eventlet/eventlet-%{version}.tar.gz
BuildRequires:  python-devel
Buildrequires:	python-setuptools
BuildRequires:  python-sphinx
Buildrequires:	python-greenlet
Requires:       python-greenlet
Suggests:		python-pyzmq
BuildArch:      noarch

%description
Eventlet is a networking library written in Python. It achieves high
scalability by using non-blocking io while at the same time retaining
high programmer usability by using coroutines to make the non-blocking
io operations appear blocking at the source code level.

%package doc
Summary:        Documentation for %{name}
Group:          Development/Python
Requires:       %{name} = %{version}-%{release}

%description doc
Documentation for the python-eventlet package.

%prep
%setup -q -n eventlet-%{version}

%build
CFLAGS="%{optflags}" python setup.py build
pushd doc 
make html && rm _build/html/.buildinfo
popd
chmod a-x tests/mock.py

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root $RPM_BUILD_ROOT --install-purelib=%{python_sitelib}

%files 
%defattr(-,root,root)
%doc AUTHORS LICENSE NEWS README README.twisted
%{python_sitelib}/*

%files doc
%defattr(-,root,root,-)
%doc doc/_build/html examples tests





%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.13.0-3.mga4
+ Revision: 543315
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.13.0-2.mga4
+ Revision: 498558
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 18 2013 joequant <joequant> 0.13.0-1.mga4
+ Revision: 467412
- upgrade to 0.13.0

* Sun Jan 13 2013 umeabot <umeabot> 0.9.16-2.mga3
+ Revision: 378809
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 neoclust <neoclust> 0.9.16-1.mga3
+ Revision: 313205
- imported package python-eventlet


* Thu Jan 12 2012 Lev Givon <lev@mandriva.org> 0.9.16-1mdv2012.0
+ Revision: 760422
- Update to 0.9.16.
  Remove greenpipe patch (no longer needed).
  Suggest installation of python-pyzmq.

* Thu Jun 09 2011 Antoine Ginies <aginies@mandriva.com> 0.9.14-1
+ Revision: 683432
- fix group
- import python-eventlet


* Wed Jun 8 2011 Antoine Ginies <aginies@mandriva.com> 0.9.14
- first release for Mandriva
